Package: grails.web.servlet.plugins

## [Groovy] Class GrailsWebPluginManager

- grails.web.servlet.plugins.GrailsWebPluginManager

- Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `SERVLET_CONTEXT_INIT_METHOD` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultGrailsPluginManager` | `COMMON_CLASSES`
    `class AbstractGrailsPluginManager` | `CONFIG_FILE, BEAN_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsWebPluginManager (java.lang.String resourcePath, GrailsApplication application)`
    `GrailsWebPluginManager (java.lang.String[] pluginResources, GrailsApplication application)`
    `GrailsWebPluginManager (java.lang.Class<?>[] plugins, GrailsApplication application)`
    `GrailsWebPluginManager (org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `doWithServletContext(javax.servlet.ServletContext servletContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultGrailsPluginManager` | `canRegisterPlugin, checkForChanges, createGrailsPlugin, createGrailsPlugin, doDynamicMethods, evictPlugin, getPluginObservers, getUserPlugins, informObservers, loadPlugins, refreshPlugin, reloadPlugin, resolveLoadDependencies, setApplication, setApplicationContext, setParentApplicationContext, setPluginFilter, sortPlugins`
    `class AbstractGrailsPluginManager` | `setApplicationContext, getTypeFilters, getAllPlugins, getFailedLoadPlugins, isInitialised, getFailedPlugin, doRuntimeConfiguration, doRuntimeConfiguration, doPostProcessing, getPluginResources, getGrailsPlugin, getGrailsPlugin, getGrailsPluginForClassName, hasGrailsPlugin, doDynamicMethods, setApplication, registerProvidedArtefacts, doArtefactConfiguration, onStartup, isShutdown, setPluginFilter, supportsCurrentBuildScope, setLoadCorePlugins, informOfClassChange, informOfClassChange, getPluginPath, getPluginPath, getPluginPathForInstance, getPluginForInstance, getPluginForClass, informPluginsOfConfigChange, informOfFileChange, getPluginPathForClass, getPluginViewsPathForInstance, getPluginViewsPathForClass, shutdown, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getUserPlugins, checkForChanges, refreshPlugin, loadPlugins, getPluginObservers, informObservers`

- - ### Field Detail

    - #### public static final java.lang.String SERVLET_CONTEXT_INIT_METHOD

  - ### Constructor Detail

    - #### GrailsWebPluginManager(java.lang.String resourcePath, GrailsApplication application)

    - #### GrailsWebPluginManager(java.lang.String[] pluginResources, GrailsApplication application)

    - #### GrailsWebPluginManager(java.lang.Class<?>[] plugins, GrailsApplication application)

    - #### GrailsWebPluginManager(org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)

  - ### Method Detail

    - #### void doWithServletContext(javax.servlet.ServletContext servletContext)